Project

General

Profile

Actions

Bug #17960

closed

rudder upgrade from 6.0.8 to 6.1 failed

Added by Damjan Kumin almost 4 years ago. Updated over 2 years ago.

Status:
Rejected
Priority:
N/A
Assignee:
-
Category:
Server components
Target version:
Severity:
Major - prevents use of part of Rudder | no simple workaround
UX impact:
User visibility:
Operational - other Techniques | Rudder settings | Plugins
Effort required:
Priority:
43
Name check:
To do
Fix check:
To do
Regression:

Description

I tried to upgrade rudder only to receive this error. Any advice please. This is production.
System is Debian Buster. Up until now, everything was working correctly.
Output:
root@cas:/opt/rudder# apt upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following package was automatically installed and is no longer required:
libapache2-mod-wsgi-py3
Use 'apt autoremove' to remove it.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
2 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n]
Setting up rudder-webapp (6.1.1-debian10) ...
INFO: Creating groups ... Done
INFO: Creating users ... Done
INFO: Removing ncf-api-venv user and group ... Done
INFO: Setting up systemd ...INFO: Restarting rudder-slapd... Done
INFO: Launching script to check if a migration is needed ...
Traceback (most recent call last):
File "/var/rudder/packages/rudder-plugin-cis-redhat7/rudder_synchronize.py", line 28, in <module>
from rudder import RudderEndPoint, RudderError
ImportError: No module named rudder
Traceback (most recent call last):
File "/var/rudder/packages/rudder-plugin-cis-redhat7/rudder_synchronize.py", line 28, in <module>
from rudder import RudderEndPoint, RudderError
ImportError: No module named rudder
Traceback (most recent call last):
File "/var/rudder/packages/rudder-plugin-cis-redhat7/rudder_synchronize.py", line 28, in <module>
from rudder import RudderEndPoint, RudderError
ImportError: No module named rudder
dpkg: error processing package rudder-webapp (--configure):
installed rudder-webapp package post-installation script subprocess returned error exit status 1
dpkg: dependency problems prevent configuration of rudder-server-root:
rudder-server-root depends on rudder-webapp (= 6.1.1-debian10); however:
Package rudder-webapp is not configured yet.

dpkg: error processing package rudder-server-root (--configure):
dependency problems - leaving unconfigured
Processing triggers for libc-bin (2.28-10) ...
Errors were encountered while processing:
rudder-webapp
rudder-server-root
E: Sub-process /usr/bin/dpkg returned an error code (1)

Actions #1

Updated by Nicolas CHARLES almost 4 years ago

Hi,

This seems to be an errorwith the CIS plugin.
Can you install package rudder-api_client and try again the upgrade?

Actions #2

Updated by Vincent MEMBRÉ almost 4 years ago

  • Target version changed from 6.1.2 to 6.1.3
Actions #3

Updated by François ARMAND almost 4 years ago

  • Target version changed from 6.1.3 to 6.1.4
Actions #4

Updated by Vincent MEMBRÉ almost 4 years ago

  • Target version changed from 6.1.4 to 6.1.5
  • Priority changed from 52 to 51
Actions #5

Updated by Vincent MEMBRÉ over 3 years ago

  • Target version changed from 6.1.5 to 6.1.6
  • Priority changed from 51 to 50
Actions #6

Updated by Vincent MEMBRÉ over 3 years ago

  • Target version changed from 6.1.6 to 6.1.7
Actions #7

Updated by Vincent MEMBRÉ over 3 years ago

  • Target version changed from 6.1.7 to 6.1.8
  • Priority changed from 50 to 49
Actions #8

Updated by Vincent MEMBRÉ over 3 years ago

  • Target version changed from 6.1.8 to 6.1.9
  • Priority changed from 49 to 47
Actions #9

Updated by Vincent MEMBRÉ over 3 years ago

  • Target version changed from 6.1.9 to 6.1.10
Actions #10

Updated by Vincent MEMBRÉ about 3 years ago

  • Target version changed from 6.1.10 to 6.1.11
  • Priority changed from 47 to 46
Actions #11

Updated by Vincent MEMBRÉ about 3 years ago

  • Target version changed from 6.1.11 to 6.1.12
Actions #12

Updated by Vincent MEMBRÉ about 3 years ago

  • Target version changed from 6.1.12 to 6.1.13
  • Priority changed from 46 to 45
Actions #13

Updated by Vincent MEMBRÉ about 3 years ago

  • Target version changed from 6.1.13 to 6.1.14
  • Priority changed from 45 to 44
Actions #14

Updated by Vincent MEMBRÉ almost 3 years ago

  • Target version changed from 6.1.14 to 6.1.15
  • Priority changed from 44 to 43
Actions #15

Updated by Vincent MEMBRÉ almost 3 years ago

  • Target version changed from 6.1.15 to 6.1.16
Actions #16

Updated by Vincent MEMBRÉ almost 3 years ago

  • Target version changed from 6.1.16 to 6.1.17
Actions #17

Updated by Vincent MEMBRÉ over 2 years ago

  • Target version changed from 6.1.17 to 6.1.18
Actions #18

Updated by Vincent MEMBRÉ over 2 years ago

  • Target version changed from 6.1.18 to 6.1.19
Actions #19

Updated by Alexis Mousset over 2 years ago

  • Status changed from New to Rejected

We disabled automated cis plugin upgrade since then, closing.

Actions

Also available in: Atom PDF